package com.tencent.mm.plugin.account.security.ui;

import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ui.MMWizardActivity;

public class BindSafeDeviceUI extends MMWizardActivity {
    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public final int getLayoutId() {
        return 2130970577;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(69860);
        super.onCreate(bundle);
        initView();
        AppMethodBeat.o(69860);
    }

    public final void initView() {
        AppMethodBeat.i(69861);
        setMMTitle(2131302672);
        setBackBtn(new 1(this));
        ((ImageView) findViewById(2131827287)).setImageResource(2131230722);
        ((TextView) findViewById(2131827288)).setText(2131302678);
        ((TextView) findViewById(2131827291)).setText(2131302679);
        findViewById(2131827291).setOnClickListener(new 2(this));
        AppMethodBeat.o(69861);
    }
}
